## libxenstore-clients-ocaml 0.9.3

=== Makefile ===
.PHONY: all clean install build
all: build doc

NAME=xenstore_transport
J=4

export OCAMLRUNPARAM=b

setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	@./setup.bin -configure

build: setup.data setup.bin
	@./setup.bin -build -j $(J)

doc: setup.data setup.bin
	@./setup.bin -doc -j $(J)

install: setup.bin
	@./setup.bin -install

test: setup.bin build
	@./setup.bin -test

reinstall: setup.bin
	@ocamlfind remove $(NAME) || true
	@./setup.bin -reinstall

clean:
	@ocamlbuild -clean
	@rm -f setup.data setup.log setup.bin

=== debian/changelog ===
libxenstore-clients-ocaml (0.9.3-2) UNRELEASED; urgency=low

  * Split files correctly between base and devel packages

 -- Euan Harris <euan.harris@citrix.com>  Mon, 02 Jun 2014 12:00:00 +0000

libxenstore-clients-ocaml (0.9.3-1) UNRELEASED; urgency=low

  * Update to 0.9.3

 -- David Scott <dave.scott@citrix.com>  Fri, 09 May 2014 12:00:00 +0000

libxenstore-clients-ocaml (0.9.2-1) UNRELEASED; urgency=low

  * Update to 0.9.2

 -- David Scott <dave.scott@eu.citrix.com>  Tue, 10 Sep 2013 12:00:00 +0000

=== debian/control ===
Source: libxenstore-clients-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 libxenstore-ocaml-dev,
 camlp4-extra,
 ocaml-native-compilers,
 liblwt-ocaml-dev,
 ocaml-findlib

Package: libxenstore-clients-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Unix xenstore clients for OCaml
 Unix xenstore clients for OCaml.

Package: libxenstore-clients-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libxenstore-clients-ocaml (>= 0.9.3-2),
 liblwt-ocaml-dev,
 libxenstore-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-xenstore-clients
 The ocaml-xenstore-clients-devel package contains libraries and
 signature files for developing applications that use ocaml-xenstore-
 clients.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/libxenstore-clients-ocaml/usr/lib/ocaml/xenstore_transport/*.a
	rm -f debian/libxenstore-clients-ocaml/usr/lib/ocaml/xenstore_transport/*.cmxa
	rm -f debian/libxenstore-clients-ocaml/usr/lib/ocaml/xenstore_transport/*.cmx

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
